' GM add params to start
CON
  _CLKMODE      = XTAL1 + PLL16X                        
  _XINFREQ      = 5_000_000

   LCD_RW       = 15  ' our lcd rw is tied to ground since we dont want it sending 5v data
   LCD_RS       = 16  ' LCD RS
   LCD_EN       = 17  ' LCD Enable
   LCD_MSB      = 24  ' LCD D7
   LCD_D6       = 25  ' LCD D6
   LCD_D5       = 26  ' LCD D5
   LCD_LSB      = 27  ' LCD D4
   
OBJ
  LCD : "LCD_16X2_4BIT_CPins"
  
PUB DEMO
  LCD.START(LCD_RS, LCD_RW, LCD_EN, LCD_LSB, LCD_MSB)
    
  repeat
    LCD.MOVE(3,1)
    LCD.STR(STRING("Hello World!"))

    LCD.MOVE(3,2)
    LCD.STR(STRING("1 - 5 = "))

    LCD.DEC (1-5)

    WAITCNT(120_000_000 + CNT)
    LCD.CLEAR

    LCD.STR(STRING("HEX(255) = 0x"))

    LCD.HEX(255,2)

    WAITCNT(120_000_000 + CNT)
    LCD.CLEAR

    LCD.STR(STRING("DEC(170) = "))

    LCD.MOVE(1,2)
  
    LCD.BIN(170,8)
  
    WAITCNT(120_000_000 + CNT)
    LCD.CLEAR

    LCD.MOVE(3,1)
    LCD.STR(STRING("END OF DEMO."))
    LCD.MOVE(4,2)
    LCD.STR(STRING("HAVE FUN !"))
    WAITCNT(120_000_000 + CNT)    
 