/***************************************************************************
* This is a program which will send data to the Hydra that represents a
* button being pushed from another Hydra.
*
* We assume that the Hydra lives at port 120.
*
* We need to give credit where it is due. I quickly grabbed a bunch of
* this code from the internet at:
* http://www.geocities.com/siliconvalley/2072/sockprog.htm
*
* Compiled using LCC version 4.0.
* You can find LCC at http://www.cs.virginia.edu/~lcc-win32/
*
* Written by: Shane Avery
*****************************************************************************/
#include <stdio.h>
#include <winsock.h>


int main()
{
	WSADATA ws;
	WSAStartup(0x0202,&ws);

	SOCKET udp_socket;
	struct sockaddr_in peer;
	int peerlen;

	unsigned int size;
	char ch;

	// Declare port we are connecting to.
	peer.sin_family = AF_INET;
	peer.sin_port = htons(120);
	peer.sin_addr.s_addr = inet_addr("192.168.1.100");

	// Define the UDP socket. SOCK_DGRAM for UDP.
	udp_socket = socket(AF_INET, SOCK_DGRAM, 0);

	// Bind the socket
	bind(udp_socket,(struct sockaddr *)&peer,sizeof(peer));

	peerlen=sizeof(peer);

	// Display that we are waiting for data.
	puts("Type any button to send packet or q to quit.");

	ch = 0;
	size = 0;

	while(ch != 'q')
	{
		ch = getchar();
		size++;
		sendto(udp_socket, (char *)&size, 4, 0, (struct sockaddr *)&peer, sizeof(peer));

	}

	puts("Done");

	return 0;
}



