{{Hello FullDuplexSerialPlus.spin
Template for Parallax Serial Terminal Test applications

How to use:

 o Use the Propeller Tool software's F7 to find out the COM port.
 o Set Parallax Serial Terminal to that COM Port with a baud rate of 115200.
 o Press F11 (or F10) in the Propeller tool to load the code.
 o Immediately click the Parallax Serial Terminal's Connect button.  Do not
   wait until the program is finished downloading.
   
}}

CON
   
  _clkmode = xtal1 + pll16x                     ' Crystal and PLL settings.
  _xinfreq = 5_000_000                          ' 5 MHz crystal.

OBJ

  term   : "FullDuplexSerialPlus"                ' Serial communication object

PUB go | val, index                             

  term.StartPST(115200)                          ' Start for Parallax Serial Terminal 

  '' Replace the code below with your test code...
  
  term.Str(String("Convert Binary to Decimal...", term#CR, term#CR)) ' Heading
  repeat                                        ' Main loop
    term.Str(String("Enter binary value: "))    ' Prompt user to enter value
    val := term.getBin                          ' Get value
    term.Str(String("Decimal value: "))         ' Announce output
    term.dec(val)                               ' Display decimal equivalent
    repeat 2
      term.CarriageReturn                       ' Carriage return
    