'' ================================================================================================
''
''   File....... jw_bicolor_v2_demo.spin
''   Purpose.... bi-color LED driver demo 
''   Author..... Jon Williams
''   E-mail..... jwilliams@efx-tek.com
''   Started.... 
''   Updated.... 13 MAY 2009 
''
'' ================================================================================================


CON

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

  
  MS_001 = 80_000_000 / 1_000                                   ' ticks per millisecond
  
  
OBJ

  led : "jw_bicolor_v2"

  
VAR


PUB main | idx

  led.start(8, led#LED_OFF, 100, led#LED_OFF, 100)

  repeat                                                        ' loop forever
    repeat idx from led#LED_OFF to led#LED_RED                  ' cycle through LED colors
      led.setcolor(idx)
      waitcnt(MS_001 * 500 + cnt)                               ' hold 0.5 seconds
      
    led.off
    waitcnt(MS_001 * 250 + cnt)
    
    led.set(led#LED_GRN, 350, led#LED_RED, 150)                 ' demo background flashing
    waitcnt(MS_001 * 2_000 + cnt)                               ' hold 2.0 seconds
    
        